
%define		qtver	4.4.3

Summary:	Manager for sqlite - Sqlite Databases Made Easy
Summary(pl.UTF-8):	Zarządca baz sqlite
Name:		sqliteman
Version:	1.2.2
Release:	5
# src is GPLv2+, icons are LGPLv2+
License:	GPLv2+ and LGPLv2+
Group:		Applications/Databases
Source0:	http://dl.sourceforge.net/sqliteman/%{name}-%{version}.tar.bz2
# Source0-md5:	c8197428739bcd86deaafa8ef267e3cb
Patch0:		%{name}-desktop.patch
URL:		http://www.sqliteman.com/
BuildRequires:	QtCore-devel >= %{qtver}
BuildRequires:	QtGui-devel >= %{qtver}
BuildRequires:	QtNetwork-devel >= %{qtver}
BuildRequires:	QtSql-devel >= %{qtver}
BuildRequires:	QtXml-devel >= %{qtver}
BuildRequires:	cmake >= 2.6.2
BuildRequires:	qscintilla2-devel
BuildRequires:	qt4-build >= %{qtver}
BuildRequires:	qt4-qmake >= %{qtver}
BuildRequires:	rpmbuild(macros) >= 1.293
Requires:	QtSql-sqlite3
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Sqliteman is handy tool for tuning SQL statements, manage tables,
views, or triggers, administrate the database space and index
statistics.

%description -l pl.UTF-8
Sqliteman jest przydatnym narzędziem pozwalającym na optymalizację
zapytań SQL, zarządzanie tabelami, widokami czy triggerami,
administracją przestrzenią bazy i statystyk indeksów.

%prep
%setup -q
%patch0 -p1

%build
install -d build
cd build
%cmake  \
	-DCMAKE_INSTALL_PREFIX=%{_prefix} \
	../

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C build install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/sqliteman
%{_iconsdir}/hicolor/*.png
%{_desktopdir}/*.desktop
%{_datadir}/%{name}
%changelog
* Mon Jul 08 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/sqliteman.git;a=log;h=master

* Mon Jul 08 2013 Jan Rękorajski <baggins@pld-linux.org> 61d1583
- release 5 (by relup.sh)

* Thu Jan 26 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 22c22d5
- release 4

* Wed Aug 31 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 2ac3284
- release 3

* Wed Oct 13 2010 Jan Palus <jan.palus@gmail.com> ad41339
- rel 2

* Tue Sep 28 2010 Karol Krenski <charles@pld-linux.org> a052cec
- updated to 1.2.2

* Thu May 13 2010 Jan Rękorajski <baggins@pld-linux.org> 81f2198
- rel 3
- fixed desktop categories

* Sat Sep 05 2009 Adam Gołębiowski <adamg@pld-linux.org> ef47a6e
- release 2 (rebuild against qscintilla 2.4)

* Fri Mar 06 2009 Adam Gołębiowski <adamg@pld-linux.org> 73bb46d
- updated to 1.2.1

* Mon Jan 12 2009 shadzik <shadzik@pld-linux.org> ce4b5a8
- more Qt4 BRs
- standardize cmake usage
- verbose binaries

* Mon Jan 12 2009 Karol Krenski <charles@pld-linux.org> 8569243
- BR: cmake, qt4-build, qt4-qmake

* Fri Dec 26 2008 Adam Gołębiowski <adamg@pld-linux.org> 8dfc50d
- fixed previous commit msg

* Fri Dec 26 2008 Adam Gołębiowski <adamg@pld-linux.org> f0f37bb
- release 3 for Th

* Tue Aug 12 2008 Adam Gołębiowski <adamg@pld-linux.org> 90a3fd8
- release 2 (rebuild against qscintilla2-2.2)

* Fri Aug 01 2008 Adam Gołębiowski <adamg@pld-linux.org> 735cf74
- new

